//+------------------------------------------------------------------+
//|                                                      Bittrex.mq5 |
//|                        Copyright 2018, MetaQuotes Software Corp. |
//|                         https://www.mql5.com/ru/users/nikolay7ko |
//+------------------------------------------------------------------+
#property copyright "Copyright 2018, Nikolay Semko"
#property link      "https://www.mql5.com/ru/users/nikolay7ko"
#property link      "SemkoNV@bk.ru" 
#property version   "1.00"
#include <Crypto\Bittrex.mqh>
#include <Canvas\iCanvas.mqh>  // https://www.mql5.com/ru/code/22164

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnStart()
  {
   ChartSetInteger(0,CHART_SHOW,false); ChartChanged();
   
   ulong t0=GetMicrosecondCount();
   CBittrex Bittrex("USD-BTC");
   t0=GetMicrosecondCount()-t0;
  
   ulong t=GetMicrosecondCount();
   double PrMin1=ChartGetDouble(0,CHART_PRICE_MIN);
   double PrMax1=ChartGetDouble(0,CHART_PRICE_MAX);
   double PrMax2=Bittrex.Close[ArrayMaximum(Bittrex.Close,0,W.BarsInWind)];
   double PrMin2=Bittrex.Close[ArrayMinimum(Bittrex.Close,0,W.BarsInWind)];
   Canvas.Erase(ColorToARGB(clrLavender));
   Canvas.Comm("SYMBOL = "+Bittrex.PairName);
   Canvas.Comm("Total Bars = "+(string)Bittrex.N);
   Canvas.Comm("Maximum Price = "+DoubleToString(PrMax2,2));
   Canvas.Comm("Minimum Price = "+DoubleToString(PrMin2,2));  
   Canvas.TextPosition(W.Width-48,25); // coordinates of the beginning of the text message in pixels.
   Canvas.CurentFont("Arial",13,30,ColorToARGB(clrDarkViolet)); // 30 - line spacing
   for(int i=30;i<(W.Height-5);i+=30)
     {
      Canvas.LineHorizontal(W.Width-1,W.Width-6,i,ColorToARGB(clrDarkViolet));
      Canvas.Comm(DoubleToString(PrMax2-i*(PrMax2-PrMin2)/W.Height,2));
     }
   int cl[];
   ArrayResize(cl,Bittrex.N);
   for(int i=0;i<Bittrex.N;i++) cl[i]=(int)round(Canvas.Y(PrMin1+(PrMax1-PrMin1)*(Bittrex.Close[i]-PrMin2)/(PrMax2-PrMin2)));
   for(int i=1;i<Bittrex.N;i++) Canvas.LineWu((int)Canvas.X(double(i-1)),cl[i-1],(int)Canvas.X(double(i)),cl[i],ColorToARGB(clrBlue));
   Canvas.Update();
   t=GetMicrosecondCount()-t;
   
   Canvas.TextPosition(20.0,3.0); // coordinates of the beginning of a text message in % of the window size.
   Canvas.CurentFont("Times New Roman",30,35);  // 35 - line spacing
   Canvas.Comm("Screen formation time = "+DoubleToString(t/1000.0,2)+" milliseconds");
   Canvas.Comm("Time to download data from the Bittrex = "+DoubleToString(t0/1000.0,2)+" milliseconds");
   Canvas.Update();
//CustomSymbolCreate("USD-BTC","NewSymbols");
//SymbolSelect("USD-BTC",true);
//ChartSetSymbolPeriod(0,"USD-BTC",PERIOD_M30);
   Sleep(30000);
   ChartSetInteger(0,CHART_SHOW,true);
  }
//+------------------------------------------------------------------+
